package com.jiubang.commerce.chargelocker.holder;

/**
 * 遵从避让原则产品
 */
public enum HolderProductType {
	// 要求value从0开始
	// GoSms(0);
	//demoA(0),
	ZeroZboost(0), Alock(1), GOKeyboard(2), GOMsm(3);
	private int mValue;
	/** 最小 */
	private static final int VALUE_MIN = 0;
	/** 最大 */
	private static final int VALUE_MAX = values().length;

	HolderProductType(int value) {
		mValue = value;
	}

	public int getValue() {
		return mValue;
	}

	/**
	 * 用Int转化成ProductType，非法value则返回NULL
	 * 
	 * @param value
	 * @return
	 */
	public static HolderProductType fromValue(int value) {
		if (VALUE_MAX > value && value >= VALUE_MIN) {
			return HolderProductType.values()[value];
		} else {
			return null;
		}
	}
}
